sim: m32r: unify ELF & Linux traps logic
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/pkg.m4 \
203 $(top_srcdir)/../config/plugins.m4 \
204 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
205 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
206 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
207 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
208 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
209 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
210 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
211 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
212 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
213 $(top_srcdir)/m4/sim_ac_option_hardware.m4 \
214 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
215 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
216 $(top_srcdir)/m4/sim_ac_option_scache.m4 \
217 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
218 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
219 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
220 $(top_srcdir)/m4/sim_ac_platform.m4 \
221 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
222 $(top_srcdir)/frv/acinclude.m4 $(top_srcdir)/rx/acinclude.m4 \
223 $(top_srcdir)/configure.ac
224 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
225 $(ACLOCAL_M4)
226 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
227 $(am__configure_deps) $(pkginclude_HEADERS)
228 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
229 configure.lineno config.status.lineno
230 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
231 CONFIG_HEADER = config.h
232 CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \
233 arm/Makefile.sim avr/Makefile.sim bfin/Makefile.sim \
234 cr16/Makefile.sim cris/Makefile.sim d10v/Makefile.sim \
235 frv/Makefile.sim ft32/Makefile.sim h8300/Makefile.sim \
236 iq2000/Makefile.sim lm32/Makefile.sim m32c/Makefile.sim \
237 m68hc11/Makefile.sim mcore/Makefile.sim \
238 microblaze/Makefile.sim moxie/Makefile.sim msp430/Makefile.sim \
239 pru/Makefile.sim rl78/Makefile.sim rx/Makefile.sim \
240 sh/Makefile.sim erc32/Makefile.sim \
241 example-synacor/Makefile.sim arch-subdir.mk
242 CONFIG_CLEAN_VPATH_FILES =
243 LIBRARIES = $(noinst_LIBRARIES)
244 ARFLAGS = cru
245 AM_V_AR = $(am__v_AR_@AM_V@)
246 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
247 am__v_AR_0 = @echo " AR " $@;
248 am__v_AR_1 =
249 common_libcommon_a_AR = $(AR) $(ARFLAGS)
250 common_libcommon_a_LIBADD =
251 am__dirstamp = $(am__leading_dot)dirstamp
252 am_common_libcommon_a_OBJECTS = \
253 common/common_libcommon_a-portability.$(OBJEXT) \
254 common/common_libcommon_a-sim-load.$(OBJEXT) \
255 common/common_libcommon_a-version.$(OBJEXT)
256 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
257 igen_libigen_a_AR = $(AR) $(ARFLAGS)
258 igen_libigen_a_LIBADD =
259 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
260 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
261 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
262 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
263 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
268 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
269 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
270 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
271 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
272 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
273 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
274 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
275 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
276 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
277 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
278 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
279 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
280 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
281 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
282 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
283 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
284 testsuite/common/bits32m31$(EXEEXT) \
285 testsuite/common/bits64m0$(EXEEXT) \
286 testsuite/common/bits64m63$(EXEEXT) \
287 testsuite/common/alu-tst$(EXEEXT)
288 am_igen_filter_OBJECTS =
289 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
290 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
291 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
292 AM_V_lt = $(am__v_lt_@AM_V@)
293 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
294 am__v_lt_0 = --silent
295 am__v_lt_1 =
296 am_igen_gen_OBJECTS =
297 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
298 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
299 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
300 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
301 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
302 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
303 am_igen_ld_cache_OBJECTS =
304 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
305 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
306 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
307 am_igen_ld_decode_OBJECTS =
308 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
309 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
310 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
311 am_igen_ld_insn_OBJECTS =
312 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
313 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
314 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
315 am_igen_table_OBJECTS =
316 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
317 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
318 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
319 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
320 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
321 testsuite_common_alu_tst_LDADD = $(LDADD)
322 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
323 testsuite_common_bits_gen_OBJECTS = \
324 testsuite/common/bits-gen.$(OBJEXT)
325 testsuite_common_bits_gen_LDADD = $(LDADD)
326 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
327 testsuite_common_bits32m0_OBJECTS = \
328 testsuite/common/bits32m0.$(OBJEXT)
329 testsuite_common_bits32m0_LDADD = $(LDADD)
330 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
331 testsuite_common_bits32m31_OBJECTS = \
332 testsuite/common/bits32m31.$(OBJEXT)
333 testsuite_common_bits32m31_LDADD = $(LDADD)
334 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
335 testsuite_common_bits64m0_OBJECTS = \
336 testsuite/common/bits64m0.$(OBJEXT)
337 testsuite_common_bits64m0_LDADD = $(LDADD)
338 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
339 testsuite_common_bits64m63_OBJECTS = \
340 testsuite/common/bits64m63.$(OBJEXT)
341 testsuite_common_bits64m63_LDADD = $(LDADD)
342 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
343 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
344 testsuite_common_fpu_tst_LDADD = $(LDADD)
345 AM_V_P = $(am__v_P_@AM_V@)
346 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
347 am__v_P_0 = false
348 am__v_P_1 = :
349 AM_V_GEN = $(am__v_GEN_@AM_V@)
350 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
351 am__v_GEN_0 = @echo " GEN " $@;
352 am__v_GEN_1 =
353 AM_V_at = $(am__v_at_@AM_V@)
354 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
355 am__v_at_0 = @
356 am__v_at_1 =
357 DEFAULT_INCLUDES = -I.@am__isrc@
358 depcomp = $(SHELL) $(top_srcdir)/../depcomp
359 am__depfiles_maybe = depfiles
360 am__mv = mv -f
361 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
362 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
363 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
364 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
365 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
366 $(AM_CFLAGS) $(CFLAGS)
367 AM_V_CC = $(am__v_CC_@AM_V@)
368 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
369 am__v_CC_0 = @echo " CC " $@;
370 am__v_CC_1 =
371 CCLD = $(CC)
372 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
373 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
374 $(AM_LDFLAGS) $(LDFLAGS) -o $@
375 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
376 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
377 am__v_CCLD_0 = @echo " CCLD " $@;
378 am__v_CCLD_1 =
379 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
380 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
381 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
382 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
383 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
384 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
385 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
386 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
387 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
388 ctags-recursive dvi-recursive html-recursive info-recursive \
389 install-data-recursive install-dvi-recursive \
390 install-exec-recursive install-html-recursive \
391 install-info-recursive install-pdf-recursive \
392 install-ps-recursive install-recursive installcheck-recursive \
393 installdirs-recursive pdf-recursive ps-recursive \
394 tags-recursive uninstall-recursive
395 am__can_run_installinfo = \
396 case $$AM_UPDATE_INFO_DIR in \
397 n|no|NO) false;; \
398 *) (install-info --version) >/dev/null 2>&1;; \
399 esac
400 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
401 am__vpath_adj = case $$p in \
402 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
403 *) f=$$p;; \
404 esac;
405 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
406 am__install_max = 40
407 am__nobase_strip_setup = \
408 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
409 am__nobase_strip = \
410 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
411 am__nobase_list = $(am__nobase_strip_setup); \
412 for p in $$list; do echo "$$p $$p"; done | \
413 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
414 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
415 if (++n[$$2] == $(am__install_max)) \
416 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
417 END { for (dir in files) print dir, files[dir] }'
418 am__base_list = \
419 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
420 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
421 am__uninstall_files_from_dir = { \
422 test -z "$$files" \
423 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
424 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
425 $(am__cd) "$$dir" && rm -f $$files; }; \
426 }
427 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
428 HEADERS = $(pkginclude_HEADERS)
429 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
430 distclean-recursive maintainer-clean-recursive
431 am__recursive_targets = \
432 $(RECURSIVE_TARGETS) \
433 $(RECURSIVE_CLEAN_TARGETS) \
434 $(am__extra_recursive_targets)
435 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
436 cscope check recheck
437 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
438 $(LISP)config.h.in
439 # Read a list of newline-separated strings from the standard input,
440 # and print each of them once, without duplicates. Input order is
441 # *not* preserved.
442 am__uniquify_input = $(AWK) '\
443 BEGIN { nonempty = 0; } \
444 { items[$$0] = 1; nonempty = 1; } \
445 END { if (nonempty) { for (i in items) print i; }; } \
446 '
447 # Make sure the list of sources is unique. This is necessary because,
448 # e.g., the same source file might be shared among _SOURCES variables
449 # for different programs/libraries.
450 am__define_uniq_tagged_files = \
451 list='$(am__tagged_files)'; \
452 unique=`for i in $$list; do \
453 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
454 done | $(am__uniquify_input)`
455 ETAGS = etags
456 CTAGS = ctags
457 CSCOPE = cscope
458 DEJATOOL = $(PACKAGE)
459 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
460 EXPECT = expect
461 RUNTEST = runtest
462 am__tty_colors_dummy = \
463 mgn= red= grn= lgn= blu= brg= std=; \
464 am__color_tests=no
465 am__tty_colors = { \
466 $(am__tty_colors_dummy); \
467 if test "X$(AM_COLOR_TESTS)" = Xno; then \
468 am__color_tests=no; \
469 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
470 am__color_tests=yes; \
471 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
472 am__color_tests=yes; \
473 fi; \
474 if test $$am__color_tests = yes; then \
475 red='\e[0;31m'; \
476 grn='\e[0;32m'; \
477 lgn='\e[1;32m'; \
478 blu='\e[1;34m'; \
479 mgn='\e[0;35m'; \
480 brg='\e[1m'; \
481 std='\e[m'; \
482 fi; \
483 }
484 am__recheck_rx = ^[ ]*:recheck:[ ]*
485 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
486 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
487 # A command that, given a newline-separated list of test names on the
488 # standard input, print the name of the tests that are to be re-run
489 # upon "make recheck".
490 am__list_recheck_tests = $(AWK) '{ \
491 recheck = 1; \
492 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
493 { \
494 if (rc < 0) \
495 { \
496 if ((getline line2 < ($$0 ".log")) < 0) \
497 recheck = 0; \
498 break; \
499 } \
500 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
501 { \
502 recheck = 0; \
503 break; \
504 } \
505 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
506 { \
507 break; \
508 } \
509 }; \
510 if (recheck) \
511 print $$0; \
512 close ($$0 ".trs"); \
513 close ($$0 ".log"); \
514 }'
515 # A command that, given a newline-separated list of test names on the
516 # standard input, create the global log from their .trs and .log files.
517 am__create_global_log = $(AWK) ' \
518 function fatal(msg) \
519 { \
520 print "fatal: making $@: " msg | "cat >&2"; \
521 exit 1; \
522 } \
523 function rst_section(header) \
524 { \
525 print header; \
526 len = length(header); \
527 for (i = 1; i <= len; i = i + 1) \
528 printf "="; \
529 printf "\n\n"; \
530 } \
531 { \
532 copy_in_global_log = 1; \
533 global_test_result = "RUN"; \
534 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
535 { \
536 if (rc < 0) \
537 fatal("failed to read from " $$0 ".trs"); \
538 if (line ~ /$(am__global_test_result_rx)/) \
539 { \
540 sub("$(am__global_test_result_rx)", "", line); \
541 sub("[ ]*$$", "", line); \
542 global_test_result = line; \
543 } \
544 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
545 copy_in_global_log = 0; \
546 }; \
547 if (copy_in_global_log) \
548 { \
549 rst_section(global_test_result ": " $$0); \
550 while ((rc = (getline line < ($$0 ".log"))) != 0) \
551 { \
552 if (rc < 0) \
553 fatal("failed to read from " $$0 ".log"); \
554 print line; \
555 }; \
556 printf "\n"; \
557 }; \
558 close ($$0 ".trs"); \
559 close ($$0 ".log"); \
560 }'
561 # Restructured Text title.
562 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
563 # Solaris 10 'make', and several other traditional 'make' implementations,
564 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
565 # by disabling -e (using the XSI extension "set +e") if it's set.
566 am__sh_e_setup = case $$- in *e*) set +e;; esac
567 # Default flags passed to test drivers.
568 am__common_driver_flags = \
569 --color-tests "$$am__color_tests" \
570 --enable-hard-errors "$$am__enable_hard_errors" \
571 --expect-failure "$$am__expect_failure"
572 # To be inserted before the command running the test. Creates the
573 # directory for the log if needed. Stores in $dir the directory
574 # containing $f, in $tst the test, in $log the log. Executes the
575 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
576 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
577 # will run the test scripts (or their associated LOG_COMPILER, if
578 # thy have one).
579 am__check_pre = \
580 $(am__sh_e_setup); \
581 $(am__vpath_adj_setup) $(am__vpath_adj) \
582 $(am__tty_colors); \
583 srcdir=$(srcdir); export srcdir; \
584 case "$@" in \
585 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
586 *) am__odir=.;; \
587 esac; \
588 test "x$$am__odir" = x"." || test -d "$$am__odir" \
589 || $(MKDIR_P) "$$am__odir" || exit $$?; \
590 if test -f "./$$f"; then dir=./; \
591 elif test -f "$$f"; then dir=; \
592 else dir="$(srcdir)/"; fi; \
593 tst=$$dir$$f; log='$@'; \
594 if test -n '$(DISABLE_HARD_ERRORS)'; then \
595 am__enable_hard_errors=no; \
596 else \
597 am__enable_hard_errors=yes; \
598 fi; \
599 case " $(XFAIL_TESTS) " in \
600 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
601 am__expect_failure=yes;; \
602 *) \
603 am__expect_failure=no;; \
604 esac; \
605 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
606 # A shell command to get the names of the tests scripts with any registered
607 # extension removed (i.e., equivalently, the names of the test logs, with
608 # the '.log' extension removed). The result is saved in the shell variable
609 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
610 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
611 # since that might cause problem with VPATH rewrites for suffix-less tests.
612 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
613 am__set_TESTS_bases = \
614 bases='$(TEST_LOGS)'; \
615 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
616 bases=`echo $$bases`
617 RECHECK_LOGS = $(TEST_LOGS)
618 TEST_SUITE_LOG = test-suite.log
619 TEST_EXTENSIONS = @EXEEXT@ .test
620 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
621 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
622 am__set_b = \
623 case '$@' in \
624 */*) \
625 case '$*' in \
626 */*) b='$*';; \
627 *) b=`echo '$@' | sed 's/\.log$$//'`; \
628 esac;; \
629 *) \
630 b='$*';; \
631 esac
632 am__test_logs1 = $(TESTS:=.log)
633 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
634 TEST_LOGS = $(am__test_logs2:.test.log=.log)
635 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
636 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
637 $(TEST_LOG_FLAGS)
638 DIST_SUBDIRS = $(SUBDIRS)
639 ACLOCAL = @ACLOCAL@
640 AMTAR = @AMTAR@
641 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
642 AR = @AR@
643 AR_FOR_BUILD = @AR_FOR_BUILD@
644 AUTOCONF = @AUTOCONF@
645 AUTOHEADER = @AUTOHEADER@
646 AUTOMAKE = @AUTOMAKE@
647 AWK = @AWK@
648 CATALOGS = @CATALOGS@
649 CATOBJEXT = @CATOBJEXT@
650 CC = @CC@
651 CCDEPMODE = @CCDEPMODE@
652 CC_FOR_BUILD = @CC_FOR_BUILD@
653 CFLAGS = @CFLAGS@
654 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
655 CGEN_MAINT = @CGEN_MAINT@
656 CPP = @CPP@
657 CPPFLAGS = @CPPFLAGS@
658 CYGPATH_W = @CYGPATH_W@
659 C_DIALECT = @C_DIALECT@
660 DATADIRNAME = @DATADIRNAME@
661 DEFS = @DEFS@
662 DEPDIR = @DEPDIR@
663 DSYMUTIL = @DSYMUTIL@
664 DTC = @DTC@
665 DUMPBIN = @DUMPBIN@
666 ECHO_C = @ECHO_C@
667 ECHO_N = @ECHO_N@
668 ECHO_T = @ECHO_T@
669 EGREP = @EGREP@
670 EXEEXT = @EXEEXT@
671 FGREP = @FGREP@
672 GENCAT = @GENCAT@
673 GMSGFMT = @GMSGFMT@
674 GREP = @GREP@
675 INCINTL = @INCINTL@
676 INSTALL = @INSTALL@
677 INSTALL_DATA = @INSTALL_DATA@
678 INSTALL_PROGRAM = @INSTALL_PROGRAM@
679 INSTALL_SCRIPT = @INSTALL_SCRIPT@
680 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
681 INSTOBJEXT = @INSTOBJEXT@
682 LD = @LD@
683 LDFLAGS = @LDFLAGS@
684 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
685 LIBINTL = @LIBINTL@
686 LIBINTL_DEP = @LIBINTL_DEP@
687 LIBOBJS = @LIBOBJS@
688 LIBS = @LIBS@
689 LIBTOOL = @LIBTOOL@
690 LIPO = @LIPO@
691 LN_S = @LN_S@
692 LTLIBOBJS = @LTLIBOBJS@
693 MAINT = @MAINT@
694 MAKEINFO = @MAKEINFO@
695 MKDIR_P = @MKDIR_P@
696 NM = @NM@
697 NMEDIT = @NMEDIT@
698 OBJDUMP = @OBJDUMP@
699 OBJEXT = @OBJEXT@
700 OTOOL = @OTOOL@
701 OTOOL64 = @OTOOL64@
702 PACKAGE = @PACKAGE@
703 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
704 PACKAGE_NAME = @PACKAGE_NAME@
705 PACKAGE_STRING = @PACKAGE_STRING@
706 PACKAGE_TARNAME = @PACKAGE_TARNAME@
707 PACKAGE_URL = @PACKAGE_URL@
708 PACKAGE_VERSION = @PACKAGE_VERSION@
709 PATH_SEPARATOR = @PATH_SEPARATOR@
710 PKGVERSION = @PKGVERSION@
711 PKG_CONFIG = @PKG_CONFIG@
712 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
713 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
714 POSUB = @POSUB@
715 RANLIB = @RANLIB@
716 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
717 READLINE_CFLAGS = @READLINE_CFLAGS@
718 READLINE_LIB = @READLINE_LIB@
719 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
720 REPORT_BUGS_TO = @REPORT_BUGS_TO@
721 SDL_CFLAGS = @SDL_CFLAGS@
722 SDL_LIBS = @SDL_LIBS@
723 SED = @SED@
724 SET_MAKE = @SET_MAKE@
725 SHELL = @SHELL@
726 SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@
727 SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@
728 SIM_FRV_TRAPDUMP_FLAGS = @SIM_FRV_TRAPDUMP_FLAGS@
729 SIM_INLINE = @SIM_INLINE@
730 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
731 SIM_RX_CYCLE_ACCURATE_FLAGS = @SIM_RX_CYCLE_ACCURATE_FLAGS@
732 SIM_SUBDIRS = @SIM_SUBDIRS@
733 STRIP = @STRIP@
734 TERMCAP_LIB = @TERMCAP_LIB@
735 USE_NLS = @USE_NLS@
736 VERSION = @VERSION@
737 WARN_CFLAGS = @WARN_CFLAGS@
738 WERROR_CFLAGS = @WERROR_CFLAGS@
739 XGETTEXT = @XGETTEXT@
740 abs_builddir = @abs_builddir@
741 abs_srcdir = @abs_srcdir@
742 abs_top_builddir = @abs_top_builddir@
743 abs_top_srcdir = @abs_top_srcdir@
744 ac_ct_CC = @ac_ct_CC@
745 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
746 am__include = @am__include@
747 am__leading_dot = @am__leading_dot@
748 am__quote = @am__quote@
749 am__tar = @am__tar@
750 am__untar = @am__untar@
751 bindir = @bindir@
752 build = @build@
753 build_alias = @build_alias@
754 build_cpu = @build_cpu@
755 build_os = @build_os@
756 build_vendor = @build_vendor@
757 builddir = @builddir@
758 cgen = @cgen@
759 cgendir = @cgendir@
760 datadir = @datadir@
761 datarootdir = @datarootdir@
762 docdir = @docdir@
763 dvidir = @dvidir@
764 exec_prefix = @exec_prefix@
765 host = @host@
766 host_alias = @host_alias@
767 host_cpu = @host_cpu@
768 host_os = @host_os@
769 host_vendor = @host_vendor@
770 htmldir = @htmldir@
771 includedir = @includedir@
772 infodir = @infodir@
773 install_sh = @install_sh@
774 libdir = @libdir@
775 libexecdir = @libexecdir@
776 localedir = @localedir@
777 localstatedir = @localstatedir@
778 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
779 mandir = @mandir@
780 mkdir_p = @mkdir_p@
781 oldincludedir = @oldincludedir@
782 pdfdir = @pdfdir@
783 prefix = @prefix@
784 program_transform_name = @program_transform_name@
785 psdir = @psdir@
786 sbindir = @sbindir@
787 sharedstatedir = @sharedstatedir@
788 sim_bitsize = @sim_bitsize@
789 sim_float = @sim_float@
790 sim_hw_cflags = @sim_hw_cflags@
791 sim_hw_sockser = @sim_hw_sockser@
792 sim_reserved_bits = @sim_reserved_bits@
793 srcdir = @srcdir@
794 subdirs = @subdirs@
795 sysconfdir = @sysconfdir@
796 target = @target@
797 target_alias = @target_alias@
798 target_cpu = @target_cpu@
799 target_os = @target_os@
800 target_vendor = @target_vendor@
801 top_build_prefix = @top_build_prefix@
802 top_builddir = @top_builddir@
803 top_srcdir = @top_srcdir@
804 zlibdir = @zlibdir@
805 zlibinc = @zlibinc@
806 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
807 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
808 srcroot = $(srcdir)/..
809 SUBDIRS = @subdirs@ $(SIM_SUBDIRS)
810 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
811
812 # NB: libcommon.a isn't used directly by ports. We need a target for common
813 # objects to be a part of, and ports use the individual objects directly.
814 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
815 CLEANFILES = common/version.c common/version.c-stamp \
816 testsuite/common/bits-gen testsuite/common/bits32m0.c \
817 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
818 testsuite/common/bits64m63.c
819 DISTCLEANFILES =
820 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
821 testrun.sum
822 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
823 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
824 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
825 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
826
827 # Deps to add to the all-recursive target. These are built before descending
828 # into any subdirs.
829
830 # This makes sure common parts are available before building the arch-subdirs
831 # which will refer to these.
832 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
833 pkginclude_HEADERS = \
834 $(srcroot)/include/sim/callback.h \
835 $(srcroot)/include/sim/sim.h
836
837 common_libcommon_a_CPPFLAGS = \
838 $(AM_CPPFLAGS) \
839 -DSIM_COMMON_BUILD \
840 -I../bfd \
841 -I..
842
843 common_libcommon_a_SOURCES = \
844 common/portability.c \
845 common/sim-load.c \
846 common/version.c
847
848 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
849 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
850 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
851 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
852 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
853 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
854 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
855 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
856 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
857 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
858 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
859 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
860 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
861 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
862 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
863 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
864 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
865
866 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
867 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
868 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
869 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
870 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
871 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
872 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
873 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
874 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
875 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
876 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
877 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
878 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
879 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
880 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
881 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
882 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
883 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
884 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
885 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
886 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
887 @SIM_ENABLE_IGEN_TRUE@ igen/table
888
889
890 # Tweak the site.exp so it works with plain `runtest` from user.
891 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
892 testsuite_common_CPPFLAGS = \
893 -I$(srcdir)/common \
894 -I$(srcroot)/include \
895 -I../bfd
896
897 all: config.h
898 $(MAKE) $(AM_MAKEFLAGS) all-recursive
899
900 .SUFFIXES:
901 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
902 am--refresh: Makefile
903 @:
904 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
905 @for dep in $?; do \
906 case '$(am__configure_deps)' in \
907 *$$dep*) \
908 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
909 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
910 && exit 0; \
911 exit 1;; \
912 esac; \
913 done; \
914 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
915 $(am__cd) $(top_srcdir) && \
916 $(AUTOMAKE) --foreign Makefile
917 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
918 @case '$?' in \
919 *config.status*) \
920 echo ' $(SHELL) ./config.status'; \
921 $(SHELL) ./config.status;; \
922 *) \
923 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
924 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
925 esac;
926 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
927
928 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
929 $(SHELL) ./config.status --recheck
930
931 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
932 $(am__cd) $(srcdir) && $(AUTOCONF)
933 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
934 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
935 $(am__aclocal_m4_deps):
936
937 config.h: stamp-h1
938 @test -f $@ || rm -f stamp-h1
939 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
940
941 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
942 @rm -f stamp-h1
943 cd $(top_builddir) && $(SHELL) ./config.status config.h
944 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
945 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
946 rm -f stamp-h1
947 touch $@
948
949 distclean-hdr:
950 -rm -f config.h stamp-h1
951 Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in
952 cd $(top_builddir) && $(SHELL) ./config.status $@
953 aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in
954 cd $(top_builddir) && $(SHELL) ./config.status $@
955 arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in
956 cd $(top_builddir) && $(SHELL) ./config.status $@
957 avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in
958 cd $(top_builddir) && $(SHELL) ./config.status $@
959 bfin/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/bfin/Makefile.in
960 cd $(top_builddir) && $(SHELL) ./config.status $@
961 cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in
962 cd $(top_builddir) && $(SHELL) ./config.status $@
963 cris/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cris/Makefile.in
964 cd $(top_builddir) && $(SHELL) ./config.status $@
965 d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in
966 cd $(top_builddir) && $(SHELL) ./config.status $@
967 frv/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/frv/Makefile.in
968 cd $(top_builddir) && $(SHELL) ./config.status $@
969 ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in
970 cd $(top_builddir) && $(SHELL) ./config.status $@
971 h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in
972 cd $(top_builddir) && $(SHELL) ./config.status $@
973 iq2000/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/iq2000/Makefile.in
974 cd $(top_builddir) && $(SHELL) ./config.status $@
975 lm32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/lm32/Makefile.in
976 cd $(top_builddir) && $(SHELL) ./config.status $@
977 m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in
978 cd $(top_builddir) && $(SHELL) ./config.status $@
979 m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in
980 cd $(top_builddir) && $(SHELL) ./config.status $@
981 mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in
982 cd $(top_builddir) && $(SHELL) ./config.status $@
983 microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in
984 cd $(top_builddir) && $(SHELL) ./config.status $@
985 moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in
986 cd $(top_builddir) && $(SHELL) ./config.status $@
987 msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in
988 cd $(top_builddir) && $(SHELL) ./config.status $@
989 pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in
990 cd $(top_builddir) && $(SHELL) ./config.status $@
991 rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in
992 cd $(top_builddir) && $(SHELL) ./config.status $@
993 rx/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rx/Makefile.in
994 cd $(top_builddir) && $(SHELL) ./config.status $@
995 sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in
996 cd $(top_builddir) && $(SHELL) ./config.status $@
997 erc32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/erc32/Makefile.in
998 cd $(top_builddir) && $(SHELL) ./config.status $@
999 example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in
1000 cd $(top_builddir) && $(SHELL) ./config.status $@
1001 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
1002 cd $(top_builddir) && $(SHELL) ./config.status $@
1003
1004 clean-noinstLIBRARIES:
1005 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
1006 common/$(am__dirstamp):
1007 @$(MKDIR_P) common
1008 @: > common/$(am__dirstamp)
1009 common/$(DEPDIR)/$(am__dirstamp):
1010 @$(MKDIR_P) common/$(DEPDIR)
1011 @: > common/$(DEPDIR)/$(am__dirstamp)
1012 common/common_libcommon_a-portability.$(OBJEXT): \
1013 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
1014 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
1015 common/$(DEPDIR)/$(am__dirstamp)
1016 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
1017 common/$(DEPDIR)/$(am__dirstamp)
1018
1019 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
1020 $(AM_V_at)-rm -f common/libcommon.a
1021 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
1022 $(AM_V_at)$(RANLIB) common/libcommon.a
1023 igen/$(am__dirstamp):
1024 @$(MKDIR_P) igen
1025 @: > igen/$(am__dirstamp)
1026 igen/$(DEPDIR)/$(am__dirstamp):
1027 @$(MKDIR_P) igen/$(DEPDIR)
1028 @: > igen/$(DEPDIR)/$(am__dirstamp)
1029 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
1030 igen/$(DEPDIR)/$(am__dirstamp)
1031 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
1032 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
1033 igen/$(DEPDIR)/$(am__dirstamp)
1034 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
1035 igen/$(DEPDIR)/$(am__dirstamp)
1036 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
1037 igen/$(DEPDIR)/$(am__dirstamp)
1038 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
1039 igen/$(DEPDIR)/$(am__dirstamp)
1040 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
1041 igen/$(DEPDIR)/$(am__dirstamp)
1042 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
1043 igen/$(DEPDIR)/$(am__dirstamp)
1044 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
1045 igen/$(DEPDIR)/$(am__dirstamp)
1046 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
1047 igen/$(DEPDIR)/$(am__dirstamp)
1048 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
1049 igen/$(DEPDIR)/$(am__dirstamp)
1050 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
1051 igen/$(DEPDIR)/$(am__dirstamp)
1052 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
1053 igen/$(DEPDIR)/$(am__dirstamp)
1054 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
1055 igen/$(DEPDIR)/$(am__dirstamp)
1056 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
1057 igen/$(DEPDIR)/$(am__dirstamp)
1058 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
1059 igen/$(DEPDIR)/$(am__dirstamp)
1060
1061 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1062 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
1063 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1064 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
1065
1066 clean-checkPROGRAMS:
1067 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1068 echo " rm -f" $$list; \
1069 rm -f $$list || exit $$?; \
1070 test -n "$(EXEEXT)" || exit 0; \
1071 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1072 echo " rm -f" $$list; \
1073 rm -f $$list
1074
1075 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
1076 @rm -f igen/filter$(EXEEXT)
1077 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
1078
1079 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
1080 @rm -f igen/gen$(EXEEXT)
1081 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1082 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1083 igen/$(DEPDIR)/$(am__dirstamp)
1084
1085 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1086 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1087 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1088
1089 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1090 @rm -f igen/ld-cache$(EXEEXT)
1091 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1092
1093 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1094 @rm -f igen/ld-decode$(EXEEXT)
1095 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1096
1097 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1098 @rm -f igen/ld-insn$(EXEEXT)
1099 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1100
1101 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1102 @rm -f igen/table$(EXEEXT)
1103 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1104 testsuite/common/$(am__dirstamp):
1105 @$(MKDIR_P) testsuite/common
1106 @: > testsuite/common/$(am__dirstamp)
1107 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1108 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1109 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1110 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1111 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1112 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1113 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1114 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1115 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1116 testsuite/common/bits32m31.$(OBJEXT): \
1117 testsuite/common/$(am__dirstamp) \
1118 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1119 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1120 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1121 testsuite/common/bits64m63.$(OBJEXT): \
1122 testsuite/common/$(am__dirstamp) \
1123 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1124 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1125 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1126
1127 mostlyclean-compile:
1128 -rm -f *.$(OBJEXT)
1129 -rm -f common/*.$(OBJEXT)
1130 -rm -f igen/*.$(OBJEXT)
1131 -rm -f testsuite/common/*.$(OBJEXT)
1132
1133 distclean-compile:
1134 -rm -f *.tab.c
1135
1136 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1137 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1138 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1139 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1140 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1141 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1142 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1143 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1144 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1145 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1146 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1147 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1148 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1149 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1150 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1151 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1152 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1153 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1154 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1155 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1156 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1157 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1158 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1159 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1160 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1161 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1162 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1163
1164 .c.o:
1165 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1166 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1167 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1168 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1169 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1170 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1171
1172 .c.obj:
1173 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1174 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1175 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1176 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1177 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1178 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1179
1180 .c.lo:
1181 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1182 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1183 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1184 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1185 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1186 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1187
1188 common/common_libcommon_a-portability.o: common/portability.c
1189 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1190 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1191 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1192 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1193 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1194
1195 common/common_libcommon_a-portability.obj: common/portability.c
1196 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1197 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1198 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1199 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1200 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1201
1202 common/common_libcommon_a-sim-load.o: common/sim-load.c
1203 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1204 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1205 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1206 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1207 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1208
1209 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1210 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1211 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1212 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1213 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1214 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1215
1216 common/common_libcommon_a-version.o: common/version.c
1217 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1218 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1219 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1220 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1221 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1222
1223 common/common_libcommon_a-version.obj: common/version.c
1224 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1225 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1226 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1227 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1228 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1229
1230 mostlyclean-libtool:
1231 -rm -f *.lo
1232
1233 clean-libtool:
1234 -rm -rf .libs _libs
1235 -rm -rf igen/.libs igen/_libs
1236 -rm -rf testsuite/common/.libs testsuite/common/_libs
1237
1238 distclean-libtool:
1239 -rm -f libtool config.lt
1240 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1241 @$(NORMAL_INSTALL)
1242 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1243 if test -n "$$list"; then \
1244 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1245 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1246 fi; \
1247 for p in $$list; do \
1248 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1249 echo "$$d$$p"; \
1250 done | $(am__base_list) | \
1251 while read files; do \
1252 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1253 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1254 done
1255
1256 uninstall-pkgincludeHEADERS:
1257 @$(NORMAL_UNINSTALL)
1258 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1259 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1260 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1261
1262 # This directory's subdirectories are mostly independent; you can cd
1263 # into them and run 'make' without going through this Makefile.
1264 # To change the values of 'make' variables: instead of editing Makefiles,
1265 # (1) if the variable is set in 'config.status', edit 'config.status'
1266 # (which will cause the Makefiles to be regenerated when you run 'make');
1267 # (2) otherwise, pass the desired values on the 'make' command line.
1268 $(am__recursive_targets):
1269 @fail=; \
1270 if $(am__make_keepgoing); then \
1271 failcom='fail=yes'; \
1272 else \
1273 failcom='exit 1'; \
1274 fi; \
1275 dot_seen=no; \
1276 target=`echo $@ | sed s/-recursive//`; \
1277 case "$@" in \
1278 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1279 *) list='$(SUBDIRS)' ;; \
1280 esac; \
1281 for subdir in $$list; do \
1282 echo "Making $$target in $$subdir"; \
1283 if test "$$subdir" = "."; then \
1284 dot_seen=yes; \
1285 local_target="$$target-am"; \
1286 else \
1287 local_target="$$target"; \
1288 fi; \
1289 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1290 || eval $$failcom; \
1291 done; \
1292 if test "$$dot_seen" = "no"; then \
1293 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1294 fi; test -z "$$fail"
1295
1296 ID: $(am__tagged_files)
1297 $(am__define_uniq_tagged_files); mkid -fID $$unique
1298 tags: tags-recursive
1299 TAGS: tags
1300
1301 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1302 set x; \
1303 here=`pwd`; \
1304 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1305 include_option=--etags-include; \
1306 empty_fix=.; \
1307 else \
1308 include_option=--include; \
1309 empty_fix=; \
1310 fi; \
1311 list='$(SUBDIRS)'; for subdir in $$list; do \
1312 if test "$$subdir" = .; then :; else \
1313 test ! -f $$subdir/TAGS || \
1314 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1315 fi; \
1316 done; \
1317 $(am__define_uniq_tagged_files); \
1318 shift; \
1319 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1320 test -n "$$unique" || unique=$$empty_fix; \
1321 if test $$# -gt 0; then \
1322 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1323 "$$@" $$unique; \
1324 else \
1325 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1326 $$unique; \
1327 fi; \
1328 fi
1329 ctags: ctags-recursive
1330
1331 CTAGS: ctags
1332 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1333 $(am__define_uniq_tagged_files); \
1334 test -z "$(CTAGS_ARGS)$$unique" \
1335 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1336 $$unique
1337
1338 GTAGS:
1339 here=`$(am__cd) $(top_builddir) && pwd` \
1340 && $(am__cd) $(top_srcdir) \
1341 && gtags -i $(GTAGS_ARGS) "$$here"
1342 cscope: cscope.files
1343 test ! -s cscope.files \
1344 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1345 clean-cscope:
1346 -rm -f cscope.files
1347 cscope.files: clean-cscope cscopelist
1348 cscopelist: cscopelist-recursive
1349
1350 cscopelist-am: $(am__tagged_files)
1351 list='$(am__tagged_files)'; \
1352 case "$(srcdir)" in \
1353 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1354 *) sdir=$(subdir)/$(srcdir) ;; \
1355 esac; \
1356 for i in $$list; do \
1357 if test -f "$$i"; then \
1358 echo "$(subdir)/$$i"; \
1359 else \
1360 echo "$$sdir/$$i"; \
1361 fi; \
1362 done >> $(top_builddir)/cscope.files
1363
1364 distclean-tags:
1365 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1366 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1367 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1368 @echo 'Making a new site.exp file ...'
1369 @echo '## these variables are automatically generated by make ##' >site.tmp
1370 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1371 @echo '# edit the last section' >>site.tmp
1372 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1373 @echo "set objdir `pwd`" >>site.tmp
1374 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1375 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1376 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1377 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1378 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1379 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1380 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1381 echo "## Begin content included from file $$f. Do not modify. ##" \
1382 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1383 && echo "## End content included from file $$f. ##" \
1384 || exit 1; \
1385 done >> site.tmp
1386 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1387 @if test -f site.exp; then \
1388 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1389 fi
1390 @-rm -f site.bak
1391 @test ! -f site.exp || mv site.exp site.bak
1392 @mv site.tmp site.exp
1393
1394 distclean-DEJAGNU:
1395 -rm -f site.exp site.bak
1396 -l='$(DEJATOOL)'; for tool in $$l; do \
1397 rm -f $$tool.sum $$tool.log; \
1398 done
1399
1400 # Recover from deleted '.trs' file; this should ensure that
1401 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1402 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1403 # to avoid problems with "make -n".
1404 .log.trs:
1405 rm -f $< $@
1406 $(MAKE) $(AM_MAKEFLAGS) $<
1407
1408 # Leading 'am--fnord' is there to ensure the list of targets does not
1409 # expand to empty, as could happen e.g. with make check TESTS=''.
1410 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1411 am--force-recheck:
1412 @:
1413
1414 $(TEST_SUITE_LOG): $(TEST_LOGS)
1415 @$(am__set_TESTS_bases); \
1416 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1417 redo_bases=`for i in $$bases; do \
1418 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1419 done`; \
1420 if test -n "$$redo_bases"; then \
1421 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1422 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1423 if $(am__make_dryrun); then :; else \
1424 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1425 fi; \
1426 fi; \
1427 if test -n "$$am__remaking_logs"; then \
1428 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1429 "recursion detected" >&2; \
1430 elif test -n "$$redo_logs"; then \
1431 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1432 fi; \
1433 if $(am__make_dryrun); then :; else \
1434 st=0; \
1435 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1436 for i in $$redo_bases; do \
1437 test -f $$i.trs && test -r $$i.trs \
1438 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1439 test -f $$i.log && test -r $$i.log \
1440 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1441 done; \
1442 test $$st -eq 0 || exit 1; \
1443 fi
1444 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1445 ws='[ ]'; \
1446 results=`for b in $$bases; do echo $$b.trs; done`; \
1447 test -n "$$results" || results=/dev/null; \
1448 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1449 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1450 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1451 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1452 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1453 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1454 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1455 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1456 success=true; \
1457 else \
1458 success=false; \
1459 fi; \
1460 br='==================='; br=$$br$$br$$br$$br; \
1461 result_count () \
1462 { \
1463 if test x"$$1" = x"--maybe-color"; then \
1464 maybe_colorize=yes; \
1465 elif test x"$$1" = x"--no-color"; then \
1466 maybe_colorize=no; \
1467 else \
1468 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1469 fi; \
1470 shift; \
1471 desc=$$1 count=$$2; \
1472 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1473 color_start=$$3 color_end=$$std; \
1474 else \
1475 color_start= color_end=; \
1476 fi; \
1477 echo "$${color_start}# $$desc $$count$${color_end}"; \
1478 }; \
1479 create_testsuite_report () \
1480 { \
1481 result_count $$1 "TOTAL:" $$all "$$brg"; \
1482 result_count $$1 "PASS: " $$pass "$$grn"; \
1483 result_count $$1 "SKIP: " $$skip "$$blu"; \
1484 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1485 result_count $$1 "FAIL: " $$fail "$$red"; \
1486 result_count $$1 "XPASS:" $$xpass "$$red"; \
1487 result_count $$1 "ERROR:" $$error "$$mgn"; \
1488 }; \
1489 { \
1490 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1491 $(am__rst_title); \
1492 create_testsuite_report --no-color; \
1493 echo; \
1494 echo ".. contents:: :depth: 2"; \
1495 echo; \
1496 for b in $$bases; do echo $$b; done \
1497 | $(am__create_global_log); \
1498 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1499 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1500 if $$success; then \
1501 col="$$grn"; \
1502 else \
1503 col="$$red"; \
1504 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1505 fi; \
1506 echo "$${col}$$br$${std}"; \
1507 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1508 echo "$${col}$$br$${std}"; \
1509 create_testsuite_report --maybe-color; \
1510 echo "$$col$$br$$std"; \
1511 if $$success; then :; else \
1512 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1513 if test -n "$(PACKAGE_BUGREPORT)"; then \
1514 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1515 fi; \
1516 echo "$$col$$br$$std"; \
1517 fi; \
1518 $$success || exit 1
1519
1520 check-TESTS:
1521 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1522 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1523 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1524 @set +e; $(am__set_TESTS_bases); \
1525 log_list=`for i in $$bases; do echo $$i.log; done`; \
1526 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1527 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1528 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1529 exit $$?;
1530 recheck: all $(check_PROGRAMS)
1531 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1532 @set +e; $(am__set_TESTS_bases); \
1533 bases=`for i in $$bases; do echo $$i; done \
1534 | $(am__list_recheck_tests)` || exit 1; \
1535 log_list=`for i in $$bases; do echo $$i.log; done`; \
1536 log_list=`echo $$log_list`; \
1537 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1538 am__force_recheck=am--force-recheck \
1539 TEST_LOGS="$$log_list"; \
1540 exit $$?
1541 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1542 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1543 b='testsuite/common/bits32m0'; \
1544 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1545 --log-file $$b.log --trs-file $$b.trs \
1546 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1547 "$$tst" $(AM_TESTS_FD_REDIRECT)
1548 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1549 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1550 b='testsuite/common/bits32m31'; \
1551 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1552 --log-file $$b.log --trs-file $$b.trs \
1553 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1554 "$$tst" $(AM_TESTS_FD_REDIRECT)
1555 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1556 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1557 b='testsuite/common/bits64m0'; \
1558 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1559 --log-file $$b.log --trs-file $$b.trs \
1560 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1561 "$$tst" $(AM_TESTS_FD_REDIRECT)
1562 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1563 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1564 b='testsuite/common/bits64m63'; \
1565 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1566 --log-file $$b.log --trs-file $$b.trs \
1567 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1568 "$$tst" $(AM_TESTS_FD_REDIRECT)
1569 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1570 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1571 b='testsuite/common/alu-tst'; \
1572 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1573 --log-file $$b.log --trs-file $$b.trs \
1574 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1575 "$$tst" $(AM_TESTS_FD_REDIRECT)
1576 .test.log:
1577 @p='$<'; \
1578 $(am__set_b); \
1579 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1580 --log-file $$b.log --trs-file $$b.trs \
1581 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1582 "$$tst" $(AM_TESTS_FD_REDIRECT)
1583 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1584 @am__EXEEXT_TRUE@ @p='$<'; \
1585 @am__EXEEXT_TRUE@ $(am__set_b); \
1586 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1587 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1588 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1589 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1590 check-am: all-am
1591 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1592 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1593 check: check-recursive
1594 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1595 installdirs: installdirs-recursive
1596 installdirs-am:
1597 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1598 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1599 done
1600 install: install-recursive
1601 install-exec: install-exec-recursive
1602 install-data: install-data-recursive
1603 uninstall: uninstall-recursive
1604
1605 install-am: all-am
1606 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1607
1608 installcheck: installcheck-recursive
1609 install-strip:
1610 if test -z '$(STRIP)'; then \
1611 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1612 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1613 install; \
1614 else \
1615 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1616 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1617 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1618 fi
1619 mostlyclean-generic:
1620 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1621 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1622 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1623 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1624
1625 clean-generic:
1626 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1627
1628 distclean-generic:
1629 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1630 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1631 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1632 -rm -f common/$(am__dirstamp)
1633 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1634 -rm -f igen/$(am__dirstamp)
1635 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1636 -rm -f testsuite/common/$(am__dirstamp)
1637 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1638
1639 maintainer-clean-generic:
1640 @echo "This command is intended for maintainers to use"
1641 @echo "it deletes files that may require special tools to rebuild."
1642 clean: clean-recursive
1643
1644 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1645 clean-noinstLIBRARIES mostlyclean-am
1646
1647 distclean: distclean-recursive
1648 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1649 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1650 -rm -f Makefile
1651 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1652 distclean-generic distclean-hdr distclean-libtool \
1653 distclean-tags
1654
1655 dvi: dvi-recursive
1656
1657 dvi-am:
1658
1659 html: html-recursive
1660
1661 html-am:
1662
1663 info: info-recursive
1664
1665 info-am:
1666
1667 install-data-am: install-pkgincludeHEADERS
1668
1669 install-dvi: install-dvi-recursive
1670
1671 install-dvi-am:
1672
1673 install-exec-am:
1674
1675 install-html: install-html-recursive
1676
1677 install-html-am:
1678
1679 install-info: install-info-recursive
1680
1681 install-info-am:
1682
1683 install-man:
1684
1685 install-pdf: install-pdf-recursive
1686
1687 install-pdf-am:
1688
1689 install-ps: install-ps-recursive
1690
1691 install-ps-am:
1692
1693 installcheck-am:
1694
1695 maintainer-clean: maintainer-clean-recursive
1696 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1697 -rm -rf $(top_srcdir)/autom4te.cache
1698 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1699 -rm -f Makefile
1700 maintainer-clean-am: distclean-am maintainer-clean-generic
1701
1702 mostlyclean: mostlyclean-recursive
1703
1704 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1705 mostlyclean-libtool
1706
1707 pdf: pdf-recursive
1708
1709 pdf-am:
1710
1711 ps: ps-recursive
1712
1713 ps-am:
1714
1715 uninstall-am: uninstall-pkgincludeHEADERS
1716
1717 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1718
1719 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1720 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1721 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1722 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1723 distclean distclean-DEJAGNU distclean-compile \
1724 distclean-generic distclean-hdr distclean-libtool \
1725 distclean-tags dvi dvi-am html html-am info info-am install \
1726 install-am install-data install-data-am install-dvi \
1727 install-dvi-am install-exec install-exec-am install-html \
1728 install-html-am install-info install-info-am install-man \
1729 install-pdf install-pdf-am install-pkgincludeHEADERS \
1730 install-ps install-ps-am install-strip installcheck \
1731 installcheck-am installdirs installdirs-am maintainer-clean \
1732 maintainer-clean-generic mostlyclean mostlyclean-compile \
1733 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1734 recheck tags tags-am uninstall uninstall-am \
1735 uninstall-pkgincludeHEADERS
1736
1737 .PRECIOUS: Makefile
1738
1739
1740 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1741 # This file is shipped with distributions so we build in the source dir.
1742 # Use `make nltvals' to rebuild.
1743 # Note: If gdb releases begin to contain target header files (not a good idea,
1744 # but if they did ...), nltvals.def coud be generated at build time.
1745 # An alternative is to slurp in the tables at runtime.
1746 .PHONY: nltvals
1747 nltvals:
1748 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1749 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1750
1751 common/version.c: common/version.c-stamp ; @true
1752 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1753 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1754 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1755 $(AM_V_at)touch $@
1756
1757 # Alias for developers.
1758 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1759
1760 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1761 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1762 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1763 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1764 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1765
1766 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1767 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1768
1769 # igen is a build-time only tool. Override the default rules for it.
1770 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1771 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1772
1773 # Build some of the files in standalone mode for developers of igen itself.
1774 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1775 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1776
1777 site-srcdir.exp: Makefile
1778 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1779
1780 check-DEJAGNU: site.exp
1781 LC_ALL=C; export LC_ALL; \
1782 EXPECT=${EXPECT} ; export EXPECT ; \
1783 runtest=$(RUNTEST); \
1784 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1785 $$runtest $(RUNTESTFLAGS); \
1786 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1787 fi
1788
1789 # These tests are build-time only tools. Override the default rules for them.
1790 testsuite/common/%.o: testsuite/common/%.c
1791 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1792
1793 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1794 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1795
1796 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1797 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1798
1799 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1800 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1801
1802 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1803 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1804
1805 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1806 $(AM_V_GEN)$< 32 0 big > $@.tmp
1807 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1808 $(AM_V_at)mv $@.tmp $@
1809
1810 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1811 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1812
1813 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1814 $(AM_V_GEN)$< 32 31 little > $@.tmp
1815 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1816 $(AM_V_at)mv $@.tmp $@
1817
1818 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1819 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1820
1821 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1822 $(AM_V_GEN)$< 64 0 big > $@.tmp
1823 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1824 $(AM_V_at)mv $@.tmp $@
1825
1826 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1827 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1828
1829 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1830 $(AM_V_GEN)$< 64 63 little > $@.tmp
1831 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1832 $(AM_V_at)mv $@.tmp $@
1833
1834 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1835
1836 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1837 # Otherwise a system limit (for SysV at least) may be exceeded.
1838 .NOEXPORT:
This page took 0.069054 seconds and 4 git commands to generate.